View Issue Details

IDProjectCategoryView StatusLast Update
13475Bug reports[All Projects] Import/Exportpublic2018-03-28 12:14
Reporterdawidmos Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version3.5.x 
Target VersionFixed in Version3.5.x 
Summary13475: cant export to SPSS
Description

Cant export SPSS on PostgreSQL

Steps To Reproduce

Export SPSS - > Export, error(web): ERR_INVALID_RESPONSE
On PostgreSQL output:
2018-03-14 11:59:10.614 UTC [22043] STATEMENT: SELECT MAX(REVERSE(ABS("462663X371X10382"))) FROM lime_survey_462663
2018-03-14 12:03:22.678 UTC [22432] ERROR: function reverse(numeric) does not exist at character 12
2018-03-14 12:03:22.678 UTC [22432] HINT: No function matches the given name and argument types. You might need to add explicit type casts.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.5.4
I will donate to the project if issue is resolved
Browsernot relevant
Database & DB-Versionpgsql
Server OS (if known)
Webserver software & version (if known)
PHP Version

Activities

jelo

jelo

2018-03-14 16:01

partner   ~47042

LS updates are not tested under PostgreSQL. What exact version of LimeSurvey is used?

dawidmos

dawidmos

2018-03-14 16:11

reporter   ~47043

Ok - I understand. Version 3.4.3+180227

ollehar

ollehar

2018-03-14 16:34

administrator   ~47044

Please update to latest version and try again.

dawidmos

dawidmos

2018-03-14 17:28

reporter   ~47046

I've tried - no success.

DenisChenu

DenisChenu

2018-03-14 19:24

developer   ~47056

Pgsql need a string ? https://wiki.postgresql.org/wiki/Reverse_string

DenisChenu

DenisChenu

2018-03-15 14:54

developer   ~47078

Please : test this patch : https://github.com/LimeSurvey/LimeSurvey/pull/1015
Need confirm with mssql

dawidmos

dawidmos

2018-03-16 19:58

reporter   ~47104

It works fine - thank you

DenisChenu

DenisChenu

2018-03-17 10:55

developer   ~47106

Thanks, wait for mssql confirmation before merging

user70560

2018-03-22 17:34

  ~47192

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26842

c_schmitz

c_schmitz

2018-03-28 12:14

administrator   ~47252

Version 3.6.0 released

Related Changesets

LimeSurvey: master 502ad3ae

2018-03-22 17:34:46

user70560


Committer: GitHub Details Diff
Fixed issue 13475: cant export numeric column to SPSS with pgsql (#1015)

Dev: pgsql need casting
Dev: decimal seems OK
Dev: still issue with array number save as text (1e-12), but …
Affected Issues
13475
mod - application/helpers/export_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-03-14 13:09 dawidmos New Issue
2018-03-14 16:01 jelo Note Added: 47042
2018-03-14 16:11 dawidmos Note Added: 47043
2018-03-14 16:34 ollehar Note Added: 47044
2018-03-14 16:34 ollehar Status new => feedback
2018-03-14 17:28 dawidmos Note Added: 47046
2018-03-14 17:28 dawidmos Status feedback => new
2018-03-14 19:22 DenisChenu Assigned To => DenisChenu
2018-03-14 19:22 DenisChenu Status new => assigned
2018-03-14 19:24 DenisChenu Note Added: 47056
2018-03-15 14:50 DenisChenu Project Development => Bug reports
2018-03-15 14:50 DenisChenu Category Import/Export => Other issues
2018-03-15 14:54 DenisChenu Note Added: 47078
2018-03-16 19:58 dawidmos Note Added: 47104
2018-03-17 10:55 DenisChenu Note Added: 47106
2018-03-22 17:34 user70560 Changeset attached => LimeSurvey master 502ad3ae
2018-03-22 17:34 user70560 Note Added: 47192
2018-03-22 17:34 user70560 Assigned To DenisChenu => user70560
2018-03-22 17:34 user70560 Resolution open => fixed
2018-03-22 17:37 DenisChenu Assigned To user70560 => DenisChenu
2018-03-22 17:37 DenisChenu Priority none => normal
2018-03-22 17:37 DenisChenu Reproducibility have not tried => always
2018-03-22 17:37 DenisChenu Status assigned => resolved
2018-03-22 17:37 DenisChenu Category Other issues => Import/Export
2018-03-22 17:37 DenisChenu Product Version 3.x => 3.5.x
2018-03-22 17:37 DenisChenu Fixed in Version => 3.5.x
2018-03-22 17:37 DenisChenu Complete LimeSurvey version number (& build) => 3.5.4
2018-03-22 17:37 DenisChenu Browser => not relevant
2018-03-22 17:37 DenisChenu Database & DB-Version => pgsql
2018-03-28 12:14 c_schmitz Note Added: 47252
2018-03-28 12:14 c_schmitz Status resolved => closed